## spamass-milter 0.3.1-7build1

=== Makefile ===
# Makefile.in generated by automake 1.9.4 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(spamass_milter_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/spamass-milter
pkglibdir = $(libdir)/spamass-milter
pkgincludedir = $(includedir)/spamass-milter
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
sbin_PROGRAMS = spamass-milter$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/spamass-milter.1.in $(top_srcdir)/configure \
	$(top_srcdir)/contrib/spamass-milter.spec.in AUTHORS ChangeLog \
	NEWS TODO config.guess config.sub daemon.c install-sh missing \
	poll.c strsep.c
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/ac_acx_pthread.m4 \
	$(top_srcdir)/ac_cf_gnu_source.m4 \
	$(top_srcdir)/ac_cxx_exceptions.m4 \
	$(top_srcdir)/ac_cxx_namespaces.m4 \
	$(top_srcdir)/ac_cxx_verbose_terminate_handler.m4 \
	$(top_srcdir)/ac_dmalloc.m4 \
	$(top_srcdir)/ac_pike_compiler_flag.m4 \
	$(top_srcdir)/ac_vl_prog_cc_warnings.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = contrib/spamass-milter.spec spamass-milter.1
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man1dir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(sbin_PROGRAMS)
am_spamass_milter_OBJECTS = spamass-milter.$(OBJEXT)
spamass_milter_OBJECTS = $(am_spamass_milter_OBJECTS)
spamass_milter_DEPENDENCIES = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(spamass_milter_SOURCES)
DIST_SOURCES = $(spamass_milter_SOURCES)
man1dir = $(mandir)/man1
MANS = $(man1_MANS) $(man_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/missing --run tar
AUTOCONF = ${SHELL} /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -Wall -pthread
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2 -Wall -fno-default-inline -fno-inline -pthread
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
HAVE_MDOC_FALSE = #
HAVE_MDOC_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -L/usr/lib/libmilter
LIBOBJS = 
LIBS = -lmilter  
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/missing --run makeinfo
NROFF = nroff
OBJEXT = o
PACKAGE = spamass-milter
PACKAGE_BUGREPORT = 
PACKAGE_NAME = spamass-milter
PACKAGE_STRING = spamass-milter 0.3.0
PACKAGE_TARNAME = spamass-milter
PACKAGE_VERSION = 0.3.0
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
SENDMAIL = /usr/sbin/sendmail
SET_MAKE = 
SHELL = /bin/sh
SPAMC = /usr/bin/spamc
STRIP = 
VERSION = 0.3.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
acx_pthread_config = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/don/deb_pkgs/spamass-milter/spamass-milter-0.3.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /home/don/deb_pkgs/don_packages/spamass-milter/spamass-milter-0.3.0/debian/spamass-milter/usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/don/deb_pkgs/don_packages/spamass-milter/spamass-milter-0.3.0/debian/spamass-milter/usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = no-dependencies foreign dist-bzip2

# The number of files autoconf leaves lying around after a clean is amazing.
CLEANFILES = *~ .deps/* .libs/* .deps .libs spamass-milter.man
MAINTAINERCLEANFILES = Makefile.in aclocal.m4 config.h.in \
	config.log config.status configure configure.lineno stamp-h.in \
	COPYING INSTALL config.guess config.sub install-sh missing mkinstalldirs \
	${DIST_ARCHIVES} ${DIST_ARCHIVE_SIGS}

DIST_ARCHIVE_SIGS = ${DIST_ARCHIVES:S/$/.sig/}
man_MANS = spamass-milter.1
#man1_MANS = spamass-milter.man
DEB_CONTRIB = contrib/spamass-milter
RH_CONTRIB = contrib/spamass-milter-redhat.rc \
		contrib/spamass-milter.spec \
		contrib/spamass-milter.spec.in

FBSD_CONTRIB = contrib/spamass-milter.sh
MISC_CONTRIB = contrib/README.gnus
spamass_milter_SOURCES = spamass-milter.cpp spamass-milter.h 
spamass_milter_LDADD = 
EXTRA_DIST = $(DEB_CONTRIB) \
		$(RH_CONTRIB) \
		$(FBSD_CONTRIB) \
		$(MISC_CONTRIB) \
		mdoc2man.awk \
		spamass-milter.1.in \
		subst_poll.h

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .1 .c .cpp .man .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
contrib/spamass-milter.spec: $(top_builddir)/config.status $(top_srcdir)/contrib/spamass-milter.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
spamass-milter.1: $(top_builddir)/config.status $(srcdir)/spamass-milter.1.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
spamass-milter$(EXEEXT): $(spamass_milter_OBJECTS) $(spamass_milter_DEPENDENCIES) 
	@rm -f spamass-milter$(EXEEXT)
	$(CXXLINK) $(spamass_milter_LDFLAGS) $(spamass_milter_OBJECTS) $(spamass_milter_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.cpp.o:
	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
uninstall-info-am:
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \

=== debian/changelog ===
spamass-milter (0.3.1-7build1) intrepid; urgency=low

  *  Rebuild for libmilter1 -> libmilter1.0.1 transition (LP: #254800)

 -- Riccardo Coccioli <volans@ubuntu.com>  Tue, 05 Aug 2008 00:49:29 +0200

spamass-milter (0.3.1-7) unstable; urgency=low

  * Add LSB options to init script (closes: #467145)
  * Add status init script command support

 -- Don Armstrong <don@debian.org>  Mon, 25 Feb 2008 16:00:57 -0800

spamass-milter (0.3.1-6) unstable; urgency=low

  * New version to allow building against libmilter1

 -- Don Armstrong <don@debian.org>  Sat, 19 May 2007 19:01:17 -0700

spamass-milter (0.3.1-5) unstable; urgency=low

  * Run spamass-milter as a new user, spamassmilter instead of nobody
    (closes: #411094)
  * Use --oknodo in stop so we don't fail when spamassmilter is not running
    (closes: #412524)

 -- Don Armstrong <don@debian.org>  Mon, 26 Feb 2007 17:26:33 -0800

spamass-milter (0.3.1-4) unstable; urgency=low

  * Flip the order of socket and piddir creation, because the default for
    sendmail has them in the same directory. [This was breaking new
    sendmail installs.]

 -- Don Armstrong <don@debian.org>  Sun, 28 Jan 2007 17:43:53 -0800

spamass-milter (0.3.1-3) unstable; urgency=low

  * Use dirname instead of basename (closes: #391909)
  * Add RUNAS option to change the user that spamass-milter runs as.
  * Automatically detect postfix installs, and change the PID, SOCKET, and
    SOCKETMODE options accordingly (closes: #391789) Thanks to Zach
    Sadecki and Marco d'Itri for testing this fix.

 -- Don Armstrong <don@debian.org>  Mon,  1 Jan 2007 11:07:17 -0800

spamass-milter (0.3.1-2) unstable; urgency=low

  * Create /var/run/sendmail if it doesn't already exist to allow for
    /var/run on a tmpfs (closes: #373812)
  * Stop depending on sendmail, and begin recommending sendmail or postfix
    (closes: #378460)

 -- Don Armstrong <don@debian.org>  Wed,  5 Apr 2006 13:21:11 -0700

spamass-milter (0.3.1-1) unstable; urgency=low

  * New upstream release
    - Adds more macros to avoid mails being tagged ALL_TRUSTED (closes: #354239)
  
 -- Don Armstrong <don@debian.org>  Wed,  5 Apr 2006 12:16:08 -0700

spamass-milter (0.3.0-2) unstable; urgency=low

  * Add -I option to stop delaying mail from authenticated users. Thanks to
    Paul Traina for the patch. (closes: #301755)
  * Delete config.h, config.log, and config.status in the clean target
  * Update standards version (no changes)

 -- Don Armstrong <don@debian.org>  Fri, 23 Dec 2005 05:12:38 -0800

spamass-milter (0.3.0-1) unstable; urgency=low

  * New upstream release (closes: #295586)
  * Include sendmail.mc in the reportbug script
  * Stop using cdbs
  * Specify path to spamc and sendmail directly to eliminate (useless)
    build dependencies on spamc and sendmail

 -- Don Armstrong <don@debian.org>  Tue,  1 Mar 2005 18:20:21 -0800

spamass-milter (0.2.0-7) unstable; urgency=low

  * Updates to deal with changes in spamassassin 3.0
    - hits is now score in the X-Spam-Status: header (closes: #273798)
  * Parse user+detail@foo.com addresses correctly (load preferences of the
    user user instead of the user+detail user.)
  * Uploaded by Stephen Gran <sgran@debian.org>

 -- Don Armstrong <don@donarmstrong.com>  Thu, 30 Sep 2004 13:56:17 -0700

spamass-milter (0.2.0-6) unstable; urgency=low

  * Add patch from cvs to create pidfile and use it in init script to
    avoid start-stop-daemon needing /proc (closes: #216455)
  * Use cdbs
    - Add lintian override as the config.* patches aren't applied until buildtime
  * Migrate patches to debian/patches
  * Init scripts now send the right signal to stop spamass-milter
  * Uploaded by Stephen Gran <sgran@debian.org>
  
 -- Don Armstrong <don@donarmstrong.com>  Tue, 24 Feb 2004 10:09:09 -0800

spamass-milter (0.2.0-5) unstable; urgency=low

  * Changed recommends: spamd to spamassassin (closes: #204139)
  * Fix typo in init script (oknod should be oknodo) (closes: #204301)
  * Add debugging howto section to README.Debian
  * Uploaded by Stephen Gran <sgran@debian.org>
  
 -- Don Armstrong <don@donarmstrong.com>  Fri, 29 Aug 2003 18:00:05 -0700

spamass-milter (0.2.0-4) unstable; urgency=low

  * Add missing build-depends on groff
    - Fixes FTBFS on autobuilders.
  
  * Update Standards Version to 3.6.0

 -- Don Armstrong <don@donarmstrong.com>  Wed, 30 Jul 2003 01:32:00 -0700

spamass-milter (0.2.0-3) unstable; urgency=low

  * Patch by Valentin Chopov <valentin@valcho.net> to fix segfaults on
    empty message bodies. [The "bob" patch]

 -- Don Armstrong <don@donarmstrong.com>  Mon, 21 Jul 2003 12:48:02 -0700

spamass-milter (0.2.0-2) unstable; urgency=low

  * Removed bashism from /etc/init.d/spamass-milter [s/source/./] as
    suggested and noticed by Joost van Baal <j.e.vanbaal@uvt.nl>.

 -- Don Armstrong <don@donarmstrong.com>  Sun, 20 Jul 2003 01:13:18 -0700

spamass-milter (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@donarmstrong.com>  Thu, 26 Jun 2003 20:38:15 -0400

spamass-milter (0.1.3a-1) unstable; urgency=low
  
  * Initial debian packaging

 -- Don Armstrong <don@donarmstrong.com>  Thu, 30 Jan 2003 01:24:44 -0500

=== debian/control ===
Source: spamass-milter
Section: mail
Priority: extra
Standards-Version: 3.7.3
Build-Depends: libmilter-dev, debhelper (>= 4), groff-base
Maintainer: Don Armstrong <don@debian.org>

Package: spamass-milter
Section: mail
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, spamc, adduser
Recommends: spamassassin, sendmail|postfix
Description: milter for filtering mail through spamassassin
 A milter used to filter mail through spamassassin (spamc)
 early in the delivery process. Enables site wide filtering through
 spamassassin without speed penalties incured by setting up and
 tearing down procmail processes for each e-mail.
 .
 Will work with sendmail, postfix, or any other MTA which can use milters.
 .
  - Administrator (or user) specified rejection threshold
  - User specific spamassassin settings
  - Header-only modification
 Homepage: http://savannah.nongnu.org/projects/spamass-milt/

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1


PREFIX=$(shell pwd)/debian/spamass-milter/usr

patch: patch-stamp
patch-stamp:
	dh_testdir

	if [ -e debian/patches ]; then \
		for a in `ls debian/patches/*.diff`; do \
			patch -f -p0 < $$a; \
		done; \
	fi;

	rm -f unpatch-stamp;
	touch $@

unpatch: unpatch-stamp
unpatch-stamp:
	dh_testdir

	if [ -e debian/patches ]; then \
		for a in `ls debian/patches/*.diff`; do \
			patch -f -p0 -R < $$a; \
		done; \
	fi;

	rm -f patch-stamp
	touch $@


configure: configure-stamp
configure-stamp:

# SPAMC and SENDMAIL are the location of the spamc and sendmail binary, respectively. PREFIX is the location to install to.
# We must specify --mandir because for some ungodly reason, it's being installed into /usr/man by default
	LDFLAGS="-L/usr/lib/libmilter" SPAMC="/usr/bin/spamc" SENDMAIL="/usr/sbin/sendmail" \
		./configure --prefix=$(PREFIX) --mandir=$(PREFIX)/share/man
	touch $@

build: configure build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp
	rm -f patch-stamp
	rm -f unpatch-stamp
	rm -f configure-stamp

	if [ -e Makefile -a -e config.status ]; then \
		$(MAKE) clean; \
	fi
# the clean target doesn't nuke these, so we kill them here.
	rm -f config.log config.h config.status
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs NEWS README
	dh_installman
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary-indep binary install

## spamass-milter 0.3.2

=== debian/changelog ===
spamass-milter (0.3.2-1) unstable; urgency=low

  * New upstream release
  * No longer create home directory for spamass-milter; remove on purge if
    it exists (closes: #668717)
  * Use autotools-dev to update config.sub/config.guess (closes: #539791)
  * Include support for ipv6 (Thanks to Wilmer van der Gaast) (closes: #569483)
  * Add SMTP auth information to received header (Thanks to Knut Arne
    Bjørndal) (closes: #627989)
  
 -- Don Armstrong <don@debian.org>  Mon, 13 Jun 2011 17:00:00 -0700

spamass-milter (0.3.1-10) unstable; urgency=low

  * Fix zombies which were happening with -x. (closes: #575019)

 -- Don Armstrong <don@debian.org>  Mon, 22 Mar 2010 14:39:12 -0700

spamass-milter (0.3.1-9) unstable; urgency=high

  * Call restorecon on the socket and pidfile directories to make SELinux
    happy (thanks to Russell Coker) (closes: #518552)
  * Document how to make inet:9999@127.0.0.1 work (closes: #519245)
  * Document that using the -x option requires being in the smmsp group
    (closes: #515158)
  * Deal with inet:999 sockets (closes: #514749)
    - handle them more sanely in the init script
    - document how to deal with them in README.Debian and
      /etc/spamass-milter/default
  * Use new popenenv function instead of open; fixes remote code exploit
    as the spamass-milter user when run using -x. (closes: #573228)

 -- Don Armstrong <don@debian.org>  Wed, 11 Mar 2009 03:59:39 -0700

spamass-milter (0.3.1-8) unstable; urgency=low

  * Update the documentation in README.Debian to indicate that a different
    path to the postfix socket may be required in chrooted postfix
    installs (closes: #496003)
  * Update milter_connect_macros_line (thanks to Marco d'Itri)
  * Fix the code to generate a sendmail-compatible header (thanks to Marco
    d'Itri) (closes: #510665).
  * Put Homepage in the proper location
  * Update standards version with only the above change

 -- Don Armstrong <don@debian.org>  Fri, 23 Jan 2009 15:40:41 -0800

=== debian/control ===
Source: spamass-milter
Section: mail
Priority: extra
Standards-Version: 3.9.2
Build-Depends: libmilter-dev, debhelper (>= 9), groff-base, autotools-dev
Maintainer: Don Armstrong <don@debian.org>
Vcs-Svn: svn://svn.donarmstrong.com/deb_pkgs/spamass-milter/trunk
Vcs-Browser: http://wsvn.donarmstrong.com/deb_pkgs/spamass-milter/trunk

Package: spamass-milter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, spamc, adduser
Recommends: spamassassin, sendmail|postfix
Homepage: http://savannah.nongnu.org/projects/spamass-milt/
Description: milter for filtering mail through spamassassin
 A milter used to filter mail through spamassassin (spamc)
 early in the delivery process. Enables site wide filtering through
 spamassassin without speed penalties incured by setting up and
 tearing down procmail processes for each e-mail.
 .
 Will work with sendmail, postfix, or any other MTA which can use milters.
 .
  - Administrator (or user) specified rejection threshold
  - User specific spamassassin settings
  - Header-only modification

## spamass-milter 0.4.0

=== debian/changelog ===
spamass-milter (0.4.0-2) unstable; urgency=medium

  * Call the i macro only after envrcpt time. (closes: #696856)
  * Document milter env variables (closes: #816799)
  * Do not remove the socket if spamass-milter is already running (closes:
    #782252)
  * Enable the hardening flags (closes: #879671)
  * Create a home directory for the spamass-milter user, because we use it
    as the default for spamassassin (Closes: #696861)
  * Remove the pointless s suffix in spamass-milter.init (closes: #772368)
  * Don't bother to remove inet sockets or try to chown/chmod them.
    (closes: #767966)

 -- Don Armstrong <don@debian.org>  Sat, 15 Aug 2020 12:22:41 -0700

spamass-milter (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Remove debian ipv6 patch and header cast patch which were upstreamed
  * Fix spacing and missing semicolon on Received: header (closes:
    #775183)

 -- Don Armstrong <don@debian.org>  Thu, 06 Aug 2015 20:45:55 -0700

spamass-milter (0.3.2-3) UNRELEASED; urgency=low

  * Remove /var/spool/postfix/spamass on purge if it exists (closes:
    #729072)

 -- Don Armstrong <don@debian.org>  Fri, 08 Nov 2013 10:34:29 -0800

spamass-milter (0.3.2-2) unstable; urgency=low

  * Make it more clear that OPTIONS can only be set once in the
    configuration file (Thanks to Matt Jamison) (closes: #695809).
  * Document that the i macro should be given for postfix. (closes:
    #696856)
  * Create a spamass-milter group and a /var/lib/spamass-milter directory;
    make the primary group id spamass-milter. (Closes: #696861)

 -- Don Armstrong <don@donarmstrong.com>  Wed, 12 Dec 2012 17:05:17 -0800

=== debian/control ===
Source: spamass-milter
Section: mail
Priority: optional
Standards-Version: 4.2.0
Build-Depends: libmilter-dev, debhelper (>= 12), groff-base, autoconf-archive
Maintainer: Don Armstrong <don@debian.org>
Vcs-Git: https://git.donarmstrong.com/deb_pkgs/spamass-milter.git
Vcs-Browser: https://git.donarmstrong.com/deb_pkgs/spamass-milter.git

Package: spamass-milter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, spamc, adduser
Recommends: spamassassin, sendmail|postfix
Homepage: https://savannah.nongnu.org/projects/spamass-milt/
Description: milter for filtering mail through spamassassin
 A milter used to filter mail through spamassassin (spamc)
 early in the delivery process. Enables site wide filtering through
 spamassassin without speed penalties incured by setting up and
 tearing down procmail processes for each e-mail.
 .
 Will work with sendmail, postfix, or any other MTA which can use milters.
 .
  - Administrator (or user) specified rejection threshold
  - User specific spamassassin settings
  - Header-only modification

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
# enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%: 
	dh $@

override_dh_auto_configure:
	 SPAMC="/usr/bin/spamc" SENDMAIL="/usr/sbin/sendmail" \
		dh_auto_configure;

override_dh_auto_clean:
	dh_auto_clean;
	rm -f config.log config.status config.h Makefile stamp-h1 spamass-milter.1

=== debian/watch ===
version=2
http://download.savannah.gnu.org/releases/spamass-milt/spamass-milter-([\d\.]+).tar.gz
